#ifndef _RS_MODBUS_SVU_H
#define _RS_MODBUS_SVU_H

#include "RS_Functions.h"

void ReceiveCommandModbus3(RS_DATA_STRUCT *RS232_Arr);
void ReceiveCommandModbus16(RS_DATA_STRUCT *RS232_Arr);
void SendCommandModbus3(RS_DATA_STRUCT *rs_arr, int adr_contr, unsigned int adr_start,unsigned int count_word);
void SendCommandModbus16(RS_DATA_STRUCT *rs_arr,int adr_contr, unsigned int adr_start,unsigned int count_word);
void ReceiveAnswerCommandModbus3(RS_DATA_STRUCT *RS232_Arr);
void ReceiveAnswerCommandModbus16(RS_DATA_STRUCT *RS232_Arr);


extern int err_modbus3;
extern int err_modbus16;
extern int cmd_3_or_16;
extern int err_send_log_16;
extern unsigned int flag_received_first_mess_from_MPU;

extern unsigned int flag_send_answer_rs;

extern unsigned int adr_read_from_modbus3;



#endif

